## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ngtcp2
Version:        1.13.0
Release:        %autorelease
Summary:        ngtcp2 project is an effort to implement RFC9000 QUIC protocol

License:        MIT
URL:            https://github.com/ngtcp2/ngtcp2
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz.asc
Source2:        https://keyserver.ubuntu.com/pks/lookup?op=get&search=0xf4f3b91474d1eb29889bd0ef7e8403d5d673c366#/tatsuhiro-t.asc
# Release does not contain all parts to build documentation
# https://github.com/ngtcp2/ngtcp2/pull/1404
Source3:        %{url}/raw/refs/tags/v%{version}/doc/mkapiref.py
Source4:        %{url}/raw/refs/tags/v%{version}/doc/source/index.rst
Source5:        %{url}/raw/refs/tags/v%{version}/doc/source/programmers-guide.rst

BuildRequires:  autoconf
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libtool
BuildRequires:  gnutls-devel >= 3.7.5
BuildRequires:  libev-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  gnupg2

%description
"Call it TCP/2. One More Time."

ngtcp2 project is an effort to implement RFC9000 QUIC protocol.

%package devel
Summary:        ngtcp2 development files
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
"Call it TCP/2. One More Time."

ngtcp2 project is an effort to implement RFC9000 QUIC protocol.

Development headers and libraries.

%package doc
Summary:        ngtcp2 documentation
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description doc
"Call it TCP/2. One More Time."

ngtcp2 project is an effort to implement RFC9000 QUIC protocol.

Development API documentation.

%prep
%autosetup
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
install -p -m 755 %{SOURCE3} doc/
install -p -m 644 %{SOURCE4} doc/source/
install -p -m 644 %{SOURCE5} doc/source/


%build
autoreconf -fsi
%configure --with-gnutls --with-libev --disable-static --enable-werror
%make_build
%make_build html


%install
%make_install

# TODO: import also munit and run unit tests in %check section.

%files
%license COPYING
%doc README.rst
#doc SECURITY.md
%doc AUTHORS
%{_libdir}/libngtcp2.so.16*
%{_libdir}/libngtcp2_crypto_gnutls.so.8*


%files devel
%{_libdir}/libngtcp2.so
%{_libdir}/libngtcp2_crypto_gnutls.so
%{_libdir}/pkgconfig/libngtcp2.pc
%{_libdir}/pkgconfig/libngtcp2_crypto_gnutls.pc
%{_includedir}/%{name}/


%files doc
%doc doc/build/html/


%changelog
## START: Generated by rpmautospec
* Thu Jun 12 2025 Petr Menšík <pemensik@redhat.com> - 1.13.0-1
- Update to 1.13.0

* Mon Nov 04 2024 Petr Menšík <pemensik@redhat.com> - 1.8.1-3
- Security.md is not in release also

* Mon Nov 04 2024 Petr Menšík <pemensik@redhat.com> - 1.8.1-2
- Add missing documentation parts

* Mon Nov 04 2024 Petr Menšík <pemensik@redhat.com> - 1.8.1-1
- Update to 1.8.1

* Thu Oct 10 2024 Petr Menšík <pemensik@redhat.com> - 1.8.0-4
- Mention unit tests and missing munit

* Thu Oct 10 2024 Petr Menšík <pemensik@redhat.com> - 1.8.0-3
- Specify minimum gnutls version

* Thu Oct 10 2024 Petr Menšík <pemensik@redhat.com> - 1.8.0-2
- Use also libev

* Thu Oct 10 2024 Petr Menšík <pemensik@redhat.com> - 1.8.0-1
- Initial build using autoconf

* Thu Oct 03 2024 Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
